[Dell Inspiron 14 3000 Series] System hangs on poweroff

Bug #1552985 reported by José Jorge Enríquez Rodríguez on 2016-03-04
28
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Xubuntu 14.04.4 LTS
Linux 3.13.0-79-generic #123-Ubuntu SMP Fri Feb 19 14:27:58 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

When shutting down the system, it gets stuck on the Xubuntu splash screen. I have to press the power button for a while to have it shut down.

This is a dual boot system: Windows 10 and Xubuntu 14.04. I updated BIOS version to A10 a couple of days ago. It hanged when trying to shut down from both Windows and Xubuntu.
After installing the firmware update from http://www.dell.com/support/article/mx/es/mxbsdt1/SLN300281/EN, the computer shuts down correctly from Windows, but still gets stuck when trying to shut down from Xubuntu, no matter if using the "Shutdown" button or running "shutdown -h now" or "poweroff" from a terminal.

I found a similar bug here: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1341925?comments=all, but the solution mentioned there did not work for me, also, I don't have any problems when rebooting the computer, just when trying to shut down.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-79-generic 3.13.0-79.123
ProcVersionSignature: Ubuntu 3.13.0-79.123-generic 3.13.11-ckt33
Uname: Linux 3.13.0-79-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.14.1-0ubuntu3.19
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jorge 2347 F.... pulseaudio
 /dev/snd/controlC1: jorge 2347 F.... pulseaudio
CurrentDesktop: XFCE
Date: Thu Mar 3 18:43:20 2016
EcryptfsInUse: Yes
InstallationDate: Installed on 2014-11-18 (471 days ago)
InstallationMedia: Xubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140723)
MachineType: Dell Inc. Inspiron 3442
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-79-generic.efi.signed root=UUID=bc5b1ae8-a10c-4705-afc7-3cf3c2538883 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-79-generic N/A
 linux-backports-modules-3.13.0-79-generic N/A
 linux-firmware 1.127.20
SourcePackage: linux
StagingDrivers: rts5139
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 11/03/2015
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A10
dmi.board.name: 0260GN
dmi.board.vendor: Dell Inc.
dmi.board.version: A10
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: Not Specified
dmi.modalias: dmi:bvnDellInc.:bvrA10:bd11/03/2015:svnDellInc.:pnInspiron3442:pvrNotSpecified:rvnDellInc.:rn0260GN:rvrA10:cvnDellInc.:ct8:cvrNotSpecified:
dmi.product.name: Inspiron 3442
dmi.product.version: Not Specified
dmi.sys.vendor: Dell Inc.

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

These are the messages shown on the screen when I press a key just after the Xubuntu splash screen starts:

wait-for-state stop/waiting
 *
 * Stopping apt-cacher-ng apt-cacher-ng... [OK]
 * (not running).
 * Stopping rsync daemon rync [OK]
 * speech-dispatcher disabled; edit /etc/default/speech-dispatcher
* Stopping VirtualBox kernel modules [OK]
nm-dispatcher.action: Caught signal 15, shuting down...
 * Asking all remaining processes to terminate... [OK]
* All processes ended within 1 seconds... [OK]
nm-dispatcher.action: Caught signal 15, shutting down...
ModemManager [857]: <warn> Could not acquire the 'org.freedesktop.ModemManager1' service name

ModemManager [857]: <info> ModemManager is shut down

* Deactivating swap... [OK]
* Unmounting local filesystems... [OK]
* cryptswap1 (stopped)...
* Stopping early crypto diskis... [OK]
mount: / is busy
 * Will now halt
[ 50.706518] reboot: Power down

The computer hangs just on the last message, the screen remains on with all those messages visible until I keep the power button pressed to force a shutdown.

José Jorge Enríquez Rodríguez, thank you for reporting this and helping make Ubuntu better.

To see if this is already resolved, could you please test http://cdimage.ubuntu.com/daily-live/current/ and advise to the results?

tags: added: latest-bios-a10
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete

Cristopher, I'm not able to install the image but tested it in live mode and I'm able to shut down the computer without problems.
I also tried with a Xubuntu 14.04.03 live image (I didn't have a 14.04.04 one at hand) and found it also hangs when shutting down the computer.

So, I guess it is already solved in the new upcoming version.

José Jorge Enríquez Rodríguez, to further confirm, could you please install the latest enablement stack as outlined in https://wiki.ubuntu.com/Kernel/LTSEnablementStack and advise if this is still reproducible?

Christopher, I installed the kernel from Wily release and the problem is still there: the computer hangs just before shutting down.

$ uname -a
Linux 4.2.0-30-generic #36~14.04.1-Ubuntu SMP Fri Feb 26 18:49:23 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

José Jorge Enríquez Rodríguez, so it appears the fix landed between 4.2 and 4.4.

However, would you need a backport to a release prior to Ubuntu 16.04?

If not, please feel free to mark this Status Invalid.

Christopher,

no, I don't need a backport to a release prior to 16.04, so I'm marking this as Status Invalid.

Thank you so much for your help.

Changed in linux (Ubuntu):
status: Incomplete → Invalid

Today I tried the Xubuntu Xenial daily image and again (live usb), the system was not able to shut down.
In the live session, selected the Xubuntu menu, shut down, when Xubuntu image appeared pressed [F1] to be able to see system messages, I got these messages at the end:

[OK] Stopped target Local File System.
         Unmounting /run/user/999...
         Unmounting cdrom.mount...
         Unmounting /rofs...
         Unmounting /sys/kernel/debug/tracing...
         Unmounting /tmp...
[FAILED] Failed unmounting cdrom.mount.
cdrom.mount
[OK] Unmounted /sys/kernel/debug/tracing.
[OK] Unmounted /run/user/999.
[OK] Unmounted /rofs.
[OK] Unmounted /tmp.
[OK] Reached target Unmount All Filesystems.
[OK] Stopped target Local File Systems (Pre).
[OK] Stopped Create Static Device Nodes in /dev.
[OK] Stopped Remount Root and Kernel File Systems.
[OK] Reached target Shutdown.
[202.959599] reboot: Power down

And the system hangs there, it does not complete the shut down. It does not respond to any keypress, I have to keep the power button pressed to get the computer shut down.

Changed in linux (Ubuntu):
status: Invalid → New
Brad Figg (brad-figg) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1552985

tags: added: iso-testing

José Jorge Enríquez Rodríguez, to clarify your results in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1552985/comments/5 you tested with Ubuntu (not Xubuntu) correct?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Paul White (paulw2u) wrote :

With both 32-bit and 64-bit build of the Lubuntu daily buld (20160326) I'm seeing this problem using a Toshiba C-50B. Trying to reboot or shut-down at the end of the ISO test resulted in an indefinite hang and the use of the on/off button was the method to terminate the session..

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Paul White, it will help immensely if you filed a new report with the Ubuntu repository kernel (not mainline/upstream) via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
sudodus (nio-wiklund) wrote :

I have seen indications that it makes a difference which tool or method was used to create the USB boot drive. So please tell us which tool was used when this bug appeared, as if you get different results when trying to shut down, when the USB drive was created with different tools or methods.

sudodus (nio-wiklund) wrote :

Booted via grub-n-iso shutdown works for me, but not when the pendrive was created by cloning the current Lubuntu Xenial i386 daily iso file,

xenial-desktop-i386.iso

Today I tested with USB-creator-gtk 0.3.2 and mkusb, but can get the same result with other cloning tools, e.g. gnome-disks, dd.

In other words, my live drive is affected when booted from a cloned system, but not from a grub-n-iso system made from the same iso file. I suspect that this bug is the same or closely related to the bug that also affects virtual machines,

https://bugs.launchpad.net/ubuntu/+source/casper/+bug/966480

It is described as a race condition by Chris Bainbridge:

https://bugs.launchpad.net/ubuntu/+source/casper/+bug/966480/comments/58

-o-

Details: I tested this in a laptop bought 2013 (that I am often using for iso testing),

http://www.toshiba.se/laptops/satellite-pro/c850/satellite-pro-c850-19w/

and in a desktop computer with the following motherboard bought 2008,

http://www.asus.com/Motherboards/M2NVM_DVI/

A Sandisk Cruzer blade 4 GB USB drive cloned to a 'live-only' system with USB-creator-gtk 0.3.2 and mkusb is affected by this bug in both those computers.

The same USB drive made into a grub-n-iso system with the same Lubuntu daily iso file according to the link

http://ubuntuforums.org/showthread.php?t=2259682&p=13302278#post13302278

or made into a persistent live drive with mkusb according to this link

https://help.ubuntu.com/community/mkusb/persistent

can be shut down or rebooted properly (so these systems booted via grub are not affected).

PS.

Until this bug is squashed (and in other cases where a linux system is unresponsive)I recommend

SysRq + r e i s u b

described in the following link

https://en.wikipedia.org/wiki/Magic_SysRq_key

DS.

Augustine Souza (aesouza2008) wrote :

I tried a Live USB using the Lubuntu 16.04 iso.

Hardware: Dell Inspiron 1545 laptop; Core2Duo; 64-bit, 4 GB RAM; USB 2 currently running Lubuntu 14.04 fully updated; uname -a:
Linux vasa1-Inspiron-1545 3.13.0-83-generic #127-Ubuntu SMP Fri Mar 11 00:25:37 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

I used mkusb version 10.5.1 (http://ppa.launchpad.net/mkusb/ppa/ubuntu/ trusty/main amd64 Packages) to make the Live USB on an 8 GB Transcend USB 2 pendrive.

If the Live USB is made without persistence, while everything runs fine, shutdown doesn't work. The screen blanks and a cursor flashes at the top left corner of the screen. I can wait for a few minutes but still nothing happens. I need to long-press the laptop's power button to shut down.

However, I can confirm that using the same version of mkusb and iso to create a persistent Live USB, the shutdown is normal.

Augustine Souza, it will help immensely if you filed a new report with the Ubuntu repository kernel (not mainline/upstream) via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired

The bug is still present in Xubuntu 16.04 and pretty annoying, everytime I want to poweroff my laptop I have to select to reboot instead and press the power button while the machine is booting.

sudodus (nio-wiklund) wrote :

+1 for Lubuntu 16.04

José Jorge Enríquez Rodríguez, could you please add the following kernel boot parameter:
debug=y

attempt a shutdown, and post the log/picture? It would be helpful to see if it provides a more verbose output than found in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1552985/comments/3 .

tags: added: xenial

Here is a trancript of what I'm able to read on screen once the system hangs:

[ OK ] Stopped target System Initialization.
[ OK ] Stopped target Encrypted Volumes.
         Stopping Cryptography Setup for cryptswapl...
[ OK ] Stopped target Swap.
         Deactivating swap /dev/disk/by-uuid/a754e267-a770-4d4b-98a8-19ba7c9b9fd4...
         Stopping Load/Save Screen Backlight Brightness of backlight:intel_backlight...
         Stopping Load/Save Screen Backlight Brightness of leds:dell::kbd_backlight...
[ OK ] Stopped Apply Kernel Variables.
[ OK ] Stopped Load Kernel Modules.
         Stopping Network Time Synchronization...
[ OK ] Stopped Load/Save Screen Backlight Brightness of backlight:intel_backlight.
[ OK ] Stopped Load/Save Screen Backlight Brightness of leds:dell::kbd_backlight.
[ OK ] Deactivated swap /dev/disk/by-uuid/a754eZ67-a770-4d4b-98a8-19ba7c9b9fd4.
[ OK ] Deactivated swap /dev/disk/by-id/dm-uuid-CRYPT-PLAIN-cryptswapl.
[ OK ] Deactivated swap /dev/disk/by-id/dm-name-cryptswapl.
[ OK ] Deactivated swap /dev/dm-0.
[FAILED] Stopped (with error) /dev/dm-0.
[ OK ] Deactivated swap /dev/mapper/cryptswapl.
[ OK ] Removed slice system-systemd\x2dbacklight.slice.
[ OK ] Stopped Network Time Synchronization.
[ OK ] Stopped Create Volatile Files and Directories.
[ OK ] Stopped target Local File Systems.
         Unmounting /boot/efi...
         Unmounting /home/jorge...
         Unmounting /run/user/108...
         Unmounting /run/user/1000...
[ OK ] Unmounted /boot/efi.
[ OK ] Stopped File System Check on /deu/disk/by-uuid/DO7D-75AB.
[ OK ] Removed slice system-systemd\x2dfsck.slice.
[ OK ] Unmounted /run/user/1000.
[ OK ] Unmounted /run/user/108.
[ OK ] Unmounted /home/jorge.
[ OK ] Stopped target Local File Systems (Pre).
[ OK ] Stopped Create Static Device Nodes in /dev.
[ OK ] Stopped /dev/mapper/cryptswapl.
[ OK ] Stopped /dev/disk/by-uuid/a754e267-a770-4d4b-98a8-19ba7c9b9fd4.
[ OK ] Stopped /dev/disk/by-id/dm-uuid-CRYPT-PLAIN-cryptswapl.
[ OK ] Stopped /dev/disk/by-id/dm-name-cryptswapl.
[ OK ] Stopped /sys/devices/virtual/block/dm-0.
[ OK ] Stopped Cryptography Setup for cryptswapl.
[ OK ] Reached target Unmount All Filesystems.
[ OK ] Removed slice system-systemd\x2dcryptsetup.slice.
         Stopping Load/Save Random Seed...
[ OK ] Stopped Load/Save Random Seed.
[ OK ] Stopped Remount Root and Kernel File Systems.
[ OK ] Reached target Shutdown.
[ 112.7291111] reboot: Power down
_

Changed in linux (Ubuntu):
status: Expired → Confirmed

Today I updated my laptop's BIOS to A12 version, and now I'm able to shutdown the computer without problems.

On the BIOS update details (http://www.dell.com/support/home/mx/es/mxbsdt1/Drivers/DriversDetails?driverId=RCK0N&fileId=3543381893) a fix and an enhancement are mentioned:

Fixes
- Modify the output value of memory module manufacturer ID (from SPD) to hexadecimal ID.

Enhancements
- Update IO define for FreeBSD OS.

Don't know which one fixes the shutting down problem.
I'm running Xubuntu 16.04:
Linux xubuntudev 4.4.0-24-generic #43-Ubuntu SMP Wed Jun 8 19:27:37 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

BIOS Information
 Vendor: Dell Inc.
 Version: A12
 Release Date: 05/13/2016

José Jorge Enríquez Rodríguez, not all fixes and enhancements are captured in the change log.

Despite this, this bug report is being closed due to your last comment https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1552985/comments/25 regarding this being fixed with a BIOS update. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

tags: added: bios-outdated-a12
removed: latest-bios-a10
Changed in linux (Ubuntu):
importance: Medium → Undecided
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers